.button {
  border: 1px solid transparent;
  padding: 0 35px;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color, color .3s ease;
  &.small {
    @include size(null, 40px);
    @include font(14px, 600, 40px, .1rem);
  }
  &.medium {
    @include size(null, 50px);
    @include font(15px, 600, 50px, .1rem);
  }
  &.large {
    @include size(null, 60px);
    @include font(16px, 600, 60px, .1rem);
  }
  &.red {
    background-color: $red;
    color: $white;
    border-radius: 5px;
    box-shadow: 0 0 20px 0 rgba(247, 68, 85, 0.4);
    &:hover {
      background-color: $redDark;
    }
    &[disabled="disabled"] {
      box-shadow: none;
    }
  }
  &.green {
    background-color: $green;
    color: $white;
    &:hover {
      background-color: $greenDark;
    }
  }
  &.blue {
    background-color: $blue;
    color: $white;
    box-shadow: 0 0 20px 0 rgba($blue, 0.4);

    &:hover {
      background-color: $blueHover;
    }

    &[disabled="disabled"] {
      box-shadow: none;
    }
  }
  &.yellow {
    background-color: $yellow;
    color: $white;
    &:hover {
      background-color: $yellowDark;
    }
  }
  &.white {
    background-color: $white;
    color: #b4cadd;
    &:hover {
      background-color: #f8f8f8;
    }
  }
  &[disabled="disabled"] {
    background-color: #e0e0e0;
    color: #9d9d9d;
    &:hover {
      background-color: #e0e0e0;
      color: #9d9d9d;
    }
  }
  &.disabled {
    background-color: #e0e0e0;
    color: #9d9d9d;
    &:hover {
      background-color: #e0e0e0;
      color: #9d9d9d;
    }
  }

  &.icon {
    display: flex;
    align-items: center;
    justify-content: space-around;
    & > svg {

    }
  }

  &.expand {
    border: none !important;
    display: flex;
    align-items: center;
  }
}



@media #{$mobile} {
  .button {
    padding: 0 20px;
  }
}
